/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

#reading-progress-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background-color: #212121;
    z-index: 9999;
}

#reading-progress-bar {
    height: 100%;
    background-color: #FFCD05; /* Change the color as needed */
}


.article-cust-style .elementor-post__excerpt {
    border-bottom: 1px solid #ffcd05;
    padding-bottom: 20px;
}


.article-cust-style .elementor-post__badge {
    margin: 0px !important;
}

.article-cust-style a.elementor-post__thumbnail__link {
    margin-top: 24px;
}

.article-cust-style .elementor-post img.attachment-full {
    transition: transform 1s ease-in-out;
    transform: scale(1) translate(-50%, -50%) !important;
}

.article-cust-style .elementor-post:hover img.attachment-full {
      transition: transform 1s ease-out;
    transform: scale(1.06) translate(-50%, -50%) !important;
}


body.search.search-results #menu-p{
    background: #212121 !important;
}


.insta::after {
    content: "";
    width: 50px;
    height: 50px;
    background-image: url(https://lodisey.dagoo-webpress.com/wp-content/uploads/2024/05/play-button.png);
    background-size: contain;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
	 transition: all 0.5s ease;
	pointer-events:none;
}

.insta:hover::after {
	opacity: 1;
}

.insta::before {
    content: "";
    width: 100% !important;
    height: 100% !important;
    background: #00000000;
    display: block;
    position: absolute;
	 transition: all 0.5s ease;
	pointer-events:none;
}
.insta:hover::before {
	 background: #00000059;
}

.article-cust-style .elementor-post h3 a {
    text-decoration: none !important;
}
